pskc_set_key_policy_pinmaxlength(3)

NAME
pskc_set_key_policy_pinmaxlength - API function

SYNOPSIS
#include <pskc.h>

void pskc_set_key_policy_pinmaxlength(pskc_key_t * key, uint32_t maxlength);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

uint32_t maxlength
    the length to set.

DESCRIPTION
Set the PSKC KeyPackage Key Policy PINPolicy MaxLength value. This attribute indicates the maximum length of a PIN that can be set to protect this key. It MUST NOT be possible to set a PIN longer than this value. If the 'PINFormat' attribute is set to 'DECIMAL', 'HEXADECIMAL', or 'ALPHANUMERIC', this value indicates the number of digits/ characters. If the 'PINFormat' attribute is set to 'BASE64' or 'BINARY', this value indicates the number of bytes of the unencoded value.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.